## org.eclipse.datatools.connectivity.oda.spec.valueexpr
Class AtomicValueExpression

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.ValueExpression
          org.eclipse.datatools.connectivity.oda.spec.valueexpr.AtomicValueExpression

Direct Known Subclasses:
  ColumnValueExpression, FunctionValueExpression, SimpleValueExpression

    public abstract class AtomicValueExpression

extends ValueExpression

The abstract base class for all basic, indivisible unit of value expressions that can be evaluated by itself.

Since:
  3.2.2 (DTP 1.7.2)

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.oda.spec.ValueExpression
`UNKNOWN_ODA_DATA_TYPE`

Constructor Summary
`AtomicValueExpression()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.oda.spec.ValueExpression
`getName, getOdaDataType, getQualifiedId, getVariableType, setOdaDataType, toString, validate, validate, validateSyntax`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomicValueExpression

    public AtomicValueExpression()